CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the Arduino

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CommandMessenger.IsEscaped Class Reference

Class for bookkeeping which characters in the stream are escaped. More...

## Public Member Functions
bool | EscapedChar (char currChar)
| Returns if the character is escaped. Note create new instance for every independent string More...

## Detailed Description

Class for bookkeeping which characters in the stream are escaped.

## Member Function Documentation

bool CommandMessenger.IsEscaped.EscapedChar | ( | char | currChar | ) |
| inline

Returns if the character is escaped. Note create new instance for every independent string

Parameters

  currChar | The currebt character.

Returns
  true if the character is escaped, false if not.

References CommandMessenger.Escaping.EscapeCharacter.

43 {
44 bool escaped = (_lastChar == Escaping.EscapeCharacter);
45 _lastChar = currChar;
46
47 // special case: the escape char has been escaped:
48 if (_lastChar == Escaping.EscapeCharacter && escaped)
49 {
50 _lastChar = '\0';
51 }
52 return escaped;
53 }
CommandMessenger.Escaping.EscapeCharacter
static char EscapeCharacter
Gets the escape character.
Definition: Escaped.cs:68

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Escaped.cs